clang-tools 8.0.0

Public Member Functions | List of all members
clang::doc::ClangDocBitcodeReader Class Reference

`#include <BitcodeReader.h>`

## Public Member Functions
| ClangDocBitcodeReader (llvm::BitstreamCursor &Stream)
llvm::Expected< std::vector< std::unique_ptr< Info > > > | readBitcode ()
template<>
llvm::Error | readRecord (unsigned ID, Reference *I)

## Detailed Description

Definition at line 31 of file BitcodeReader.h.

## Constructor & Destructor Documentation

## ◆ ClangDocBitcodeReader()

clang::doc::ClangDocBitcodeReader::ClangDocBitcodeReader | ( | llvm::BitstreamCursor & | Stream | ) |
| inline

Definition at line 33 of file BitcodeReader.h.

References readBitcode().

## Member Function Documentation

## ◆ readBitcode()

llvm::Expected< std::vector< std::unique_ptr< Info > > > clang::doc::ClangDocBitcodeReader::readBitcode | ( |  | ) |

Definition at line 682 of file BitcodeReader.cpp.

Referenced by ClangDocBitcodeReader().

## ◆ readRecord()

template<>

llvm::Error clang::doc::ClangDocBitcodeReader::readRecord | ( | unsigned | ID,
|  | Reference * | I
| ) |  |

Definition at line 498 of file BitcodeReader.cpp.

References clang::doc::parseRecord().

The documentation for this class was generated from the following files:

- BitcodeReader.h
- BitcodeReader.cpp